Subject: Re: [nncp-devel] EOF while decoding 8 bytes / message authentication failed

From: Sergey Matveev <[email-masked]>
Date: Fri, 13 Dec 2019 19:20:00 +0300

Greetings!

*** Frank Doepper [2019-12-13 10:19]:
>E 2019-12-13T09:10:45.499635152Z [sp-start err="chacha20poly1305: message authentication failed"]

That error means that your symmetric key, derived during Noise protocol
handshake, is differs and thus peers are not mutually authenticated. As
Shawn K. Quinn mentioned and I debugged, I mistakenly swapped private
and public keys in newly created configuration files, making them
unworkable with online protocol (Noise is used only there).

I have fixed it in the new 5.1.2 release. Also I accidentally found very
serious and critical remote peer authentication bug too. It is very
advisable to update NNCP. Sorry for that mistakes and lack of tests
(shameful lack of time), that will find both of those serious bugs.

>E 2019-12-13T09:10:45.500430758Z [sp-start err="xdr:DecodeFixedOpaque: EOF while decoding 8 bytes - read: '[]'" nice="255" node="AKKXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXA"]
>2019-12-13T09:10:45Z ERROR Connected to self

I have also fixed that ugly and fearfull message, making it more nicer
and telling that ordinary EOF occurred (link is broken, disconnected, etc).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF